<template>
  <v-container>
    <v-row justify="space-between">
      <v-col cols="12" md="auto">
        <p class="page-title">{{pageTitle}}</p>
      </v-col>
    </v-row>
      <buttons-list-user @clickIndividual="goToRegisterIndividual()"/>
    
    <v-row justify="space-between">
      <v-col cols="12" md="12">
        <search-table :table-title="tableTitle" :headers="headers" :items="items"/>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import SearchTable from "~/components/supervisor/SearchTable";
import ButtonsListUser from "~/components/pages/ButtonListUser"
export default {
  name: "ListUser",
  props: {
    pageTitle: {
      default: "",
      type: String,
    },
    tableTitle:{
      default: "",
      type: String,  
    },
    header: {
      default: null,
      type: Array,
    },
    item: {
      default: null,
      type: Array,
    },
  },
  components: {
    SearchTable,
    ButtonsListUser
  },
  data() {
    return {
      search: "",
      headers: [
        {
          text: "Nombres",
          align: "start",
          sortable: false,
          value: "name",
        },
        { text: "DNI", value: "user.dni" },
        { text: "Email", value: "fat" },
        { text: "Teléfono", value: "carbs" },
        { text: "Estado", value: "state" },
      ],
      items: [
        {
          name: "Frozen Yogurt",
          calories: 159,
          fat: 6.0,
          carbs: 24,
          state: true,
          iron: "1%",
        },
        {
          name: "Ice cream sandwich",
          calories: 237,
          fat: 9.0,
          carbs: 37,
          state: true,
          iron: "1%",
        },
      ],
    };
  },
  computed: {
    ...mapState({
      //Get all the specialists from state.
      specialists: (state) => state.supervisor.specialists,
      loading: (state) => state.supervisor.specialists,
    }),
  },
  async mounted() {
    await this.getAllSpecialists();
  },
  methods: {
    goToRegisterIndividual(){
        this.$router.push('/especialistas/register');
    },
    getAllSpecialists() {
      this.getSpecialists();
    },
    ...mapActions({
      getSpecialists: "supervisor/specialist/getSpecialists",
    }),
  },
};
</script>

<style scoped>
.page-title {
  font-family: "Montserrat", sans-serif;
  font-size: 1.5rem;
  margin-top: 2rem;
  margin-left: 1rem;
}
</style>
